#!/bin/zsh

# Copyright 2014,2015 Paul Hänsch
#
# This file is part of shcgi.
# 
# shcgi is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# shcgi is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with shcgi.  If not, see <http://www.gnu.org/licenses/>. 

echo -n "Content-Type: text/html;charset=utf-8\n\n"

PAGE="$(echo -E "$_GET[\"p\"]" |egrep '^[a-zA-Z0-9_-]+$')"
PAGE="${_EXEC}/pages/${PAGE}.sh"
[ -x "$PAGE" ] || PAGE="${_EXEC}/pages/error.sh"

NAVIGATION() {
  for each in "${_EXEC}"/pages/*.sh; do
    link="$(echo -E "$each" |sed -r "s:^.*/([^/]*)\.sh$:\1:")"
    title="$($each title)"
    [ -n "$title" ] && echo -E "/?p=$link $title"
  done
}

. ${_EXEC}/templates/frame.html.sh
